package com.ozs.web.controller.home;

import com.ozs.common.core.controller.BaseController;
import com.ozs.common.core.domain.AjaxResult;
import com.ozs.plan.service.PlanYearsService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


/**
 * 系统首页控制层
 *
 * @author buzhanyi
 */
@RestController
@RequestMapping("/home/systemHomepage")
public class SystemHomepageController extends BaseController {
    @Resource
    private PlanYearsService planYearsService;

    @ApiOperation(value = "需求单位首页计划管理总数")
    @GetMapping("/demandUnit/planManagement/total")
    public AjaxResult demandUnitPlanManagementTotal() {
        return planYearsService.demandUnitPlanManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页计划管理总数")
    @GetMapping("/purchasingManagement/planManagement/total")
    public AjaxResult purchasingManagementPurchasingManagementTotal() {
        return planYearsService.purchasingManagementPurchasingManagementTotal();
    }

    @ApiOperation(value = "需求单位首页需求管理总数")
    @GetMapping("/demandUnit/demandManagement/total")
    public AjaxResult demandUnitDemandManagementTotal() {
        return planYearsService.demandUnitDemandManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页需求管理总数")
    @GetMapping("/purchasingManagement/demandManagement/total")
    public AjaxResult purchasingManagementDemandManagementTotal() {
        return planYearsService.purchasingManagementDemandManagementTotal();
    }

    @ApiOperation(value = "需求单位首页合同管理总数")
    @GetMapping("/demandUnit/contractManagement/total")
    public AjaxResult demandUnitContractManagementTotal() {
        return planYearsService.demandUnitContractManagementTotal();
    }

    @ApiOperation(value = "需求单位首页建设管理总数")
    @GetMapping("/demandUnit/constructionManagement/total")
    public AjaxResult demandUnitConstructionManagementTotal() {
        return planYearsService.demandUnitConstructionManagementTotal();
    }

    @ApiOperation(value = "采购管理部门首页任务下达管理总数")
    @GetMapping("/purchasingManagement/taskRelease/total")
    public AjaxResult purchasingManagementTaskReleaseTotal() {
        return planYearsService.purchasingManagementTaskReleaseTotal();
    }

    @ApiOperation(value = "采购办首页采购执行管理总数")
    @GetMapping("/procurementOffice/procurementExecution/total")
    public AjaxResult procurementOfficeProcurementExecutionTotal() {
        return planYearsService.procurementOfficeProcurementExecutionTotal();
    }

    @ApiOperation(value = "采购办首已中标项目理总数")
    @GetMapping("/procurementOffice/winningTheBid/total")
    public AjaxResult procurementOfficeWinningTheBidTotal() {
        return planYearsService.procurementOfficeWinningTheBidTotal();
    }

    @ApiOperation(value = "采购办首未中标项目理总数")
    @GetMapping("/procurementOffice/failureToWinTheBid/total")
    public AjaxResult procurementOfficeFailureToWinTheBidTotal() {
        return planYearsService.procurementOfficeFailureToWinTheBidTotal();
    }
    
}
